Report progress: approve or reject, mark shipped or delivered, save the order id, order number and tracking link
PATCH
/api/public/v1/sample_requests/{id}LiveAnswers from your brand's records now.
Operation id updateSampleRequest
Request
curl
curl -X PATCH "https://creator.growthdept.ai/api/public/v1/sample_requests/1024" \
-H "Authorization: Bearer gdc_..." \
-H "Content-Type: application/json" \
-d '{"order_id":"string","order_name":"Example name","status":"approved","tracking_url":"https://example.com/p/1"}'Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| id | path | integer | required |
Request body
| Field | Type | Notes |
|---|---|---|
| order_id | string | |
| order_name | string | |
| status | string | One of approvedrejectedshippeddelivered |
| tracking_url | string |
Example
{
"order_id": "string",
"order_name": "Example name",
"status": "approved",
"tracking_url": "https://example.com/p/1"
}Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | object | |
| data.campaign_affiliate_id | integer, nullable | |
| data.campaign_id | integer | |
| data.campaign_name | string | |
| data.created_at | string (date-time) | |
| data.creator | object | |
| data.creator.email | string, nullable | |
| data.creator.first_name | string | |
| data.creator.last_name | string, nullable | |
| data.creator.name | string | |
| data.creator.phone | string, nullable | |
| data.creator.user_id | integer | |
| data.id | integer | |
| data.order_id | string, nullable | |
| data.order_name | string, nullable | |
| data.product | object | |
| data.product.amazon_product_id | string, nullable | |
| data.product.id | integer | |
| data.product.image_url | string, nullable | |
| data.product.shopify_id | string, nullable | |
| data.product.sku | string, nullable | |
| data.product.tik_tok_id | string, nullable | |
| data.product.title | string | |
| data.product.url | string, nullable | |
| data.quantity | integer | |
| data.shipping_address | object, nullable | |
| data.shipping_address.address_line_1 | string | |
| data.shipping_address.address_line_2 | string, nullable | |
| data.shipping_address.city | string | |
| data.shipping_address.country | string | |
| data.shipping_address.first_name | string | |
| data.shipping_address.last_name | string | |
| data.shipping_address.phone | string, nullable | |
| data.shipping_address.postal_code | string | |
| data.shipping_address.state | string, nullable | |
| data.source | string | |
| data.status | string | One of pendingapprovedshippeddeliveredcompletedrejectedcancelled |
| data.tracking_url | string, nullable | |
| data.updated_at | string (date-time) | |
| data.variant | object, nullable | |
| data.variant.display_name | string, nullable | |
| data.variant.external_id | string, nullable | |
| data.variant.id | integer | |
| data.variant.price | number, nullable | |
| data.variant.sku | string, nullable | |
| data.variant.title | string, nullable |
Example
{
"data": {
"campaign_affiliate_id": 1024,
"campaign_id": 1024,
"campaign_name": "Example name",
"created_at": "2026-11-01T15:04:05Z",
"creator": {
"email": "creator@example.com",
"first_name": "Example name",
"last_name": "Example name",
"name": "Example name",
"phone": "string",
"user_id": 1024
},
"id": 1024,
"order_id": "string",
"order_name": "Example name",
"product": {
"amazon_product_id": "string",
"id": 1024,
"image_url": "https://example.com/p/1",
"shopify_id": "string",
"sku": "string",
"tik_tok_id": "string",
"title": "string",
"url": "https://example.com/p/1"
},
"quantity": 3,
"shipping_address": {
"address_line_1": "string",
"address_line_2": "string",
"city": "string",
"country": "string",
"first_name": "Example name",
"last_name": "Example name",
"phone": "string",
"postal_code": "MAYA15",
"state": "string"
},
"source": "string",
"status": "pending",
"tracking_url": "https://example.com/p/1",
"updated_at": "2026-11-01T15:04:05Z",
"variant": {
"display_name": "Example name",
"external_id": "string",
"id": 1024,
"price": 125.5,
"sku": "string",
"title": "string"
}
}
}Errors: 401403404422with an error and usually a message. See errors.
Example values are made up from each field's type and name.